bootcd (6.8.2) unstable; urgency=medium

  * fix regex to ignore mkswap warning, when wiping an old signature

 -- Bernd Schumacher <bernd@bschu.de>  Mon, 02 Dec 2024 17:40:51 +0100

bootcd (6.8.1) unstable; urgency=medium

  * Fakeroot's output "libfakeroot internal error: payload not recognized!"
    is now ignored. closes: 1074720

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 11 Jul 2024 14:55:42 +0200

bootcd (6.8) unstable; urgency=medium

  * support blank " ", dollar ($), backslash (\), qoute ("), backquote (`) in
    bootcdwrite.conf config variable: NOT_TO_CD and in
    bootcd2disk.conf config variable: EXCLUDE. closes: 1060062

 -- Bernd Schumacher <bernd@bschu.de>  Fri, 26 Jan 2024 11:31:06 +0100

bootcd (6.7) unstable; urgency=medium

  * prepare for debian release 6.7
  * Standards-Version: 4.6.2
  * tested with debian trixie
  * removed old README.debian
  * tested with shellia 5.8

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 07 Dec 2023 08:56:47 +0100

bootcd (6.6.6) unstable; urgency=medium

  * typo fixes Thanks to Igor Lysakov

 -- Bernd Schumacher <bernd@bschu.de>  Tue, 30 May 2023 16:55:33 +0200

bootcd (6.6.5) unstable; urgency=medium

  * increase /boot from 100 to 200 MB in example config files
  * remove bootcdbackup, because not used and untested
  * added cpmod(), to make sure permissions on ISO root are correct
  * Handle new warnings from bootloadercfg and
    suppress output from grub using or not using os-prober
  * extensive tested with debian bookworm
  * SSHHOSTKEY now has to be yes|no, instead of yes|no|unchanged
  * changed email to bernd@bschu.de
  * Standards-Version: 4.6.1

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 22 Dec 2022 09:58:04 +0100

bootcd (6.6.4) unstable; urgency=medium

  * partdisk: only zerodsk partitions, not the full disk
  * bootcdproberoot: make sure sr0 (if found) will be tried first

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 07 Nov 2022 09:34:22 +0100

bootcd (6.6.3) unstable; urgency=medium

  * fix lib_dev_test for calc_rsync_exclude
  * add function create_target_mountpoints to create an additional source dir
    for cpio, to prevent trying to delete mountpoints with option --delete

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 27 Sep 2022 13:16:03 +0200

bootcd (6.6.2) unstable; urgency=medium

  * Mount efivarfs in chroot if available
  * Delete EFI/debian and EFI/BOOT before recreating

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 21 Jun 2022 13:45:41 +0200

bootcd (6.6.1) unstable; urgency=medium

  * Fixed bug "bootcd: No zstd support for initramfs,
    getting error about initrd beeing not in gzip format"
    reported by Juozas Pocius <juozaspo@gmail.com>. Closes: #1012327
  * Deleted Function check_initrd which contained old checks
    that are not needed anymore
  * Forward os-prober Warning seen in sid to stdout

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 07 Jun 2022 14:38:37 +0200

bootcd (6.6) unstable; urgency=medium

  * tested with shellia 5.7
  * Fix: bootcd2disk.lib: warn_2disk() fix variable "used" for multiple entries
  * Fix: bootcd2disk.lib: comment out unused function run_zerodisk()
  * Add: bootcd-run.lib: umount_recursive(): try multiple times to umount
  * Fix: example md.bootcd2disk.conf now works with more grub2 versions

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 18 Mar 2022 12:05:22 +0100

bootcd (6.5) unstable; urgency=medium

  * Make sure the correct bootcd ISO is found when booting,
    with a bootcd specific UUID
  * debian/compat=13

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 20 Jul 2021 10:47:50 +0200

bootcd (6.4) unstable; urgency=medium

  * Fix: bootcd2disk --only_mount without LUKS does not ask for LUKS password
  * Fix: use grub-install with option --force to overwrite uncorrect warnings
  * Fix: bootcd2disk.lib: better "ignore rsync warning" match
  * Fix: Renamed old Changelog to OldChangeloog, to allow "apt changelog bootcd"
  * Fix: some doku in bootcd2disk.conf-5.rst
  * Fix: some comments in bootcd2disk.conf.src
  * Add: Variables GRUB_INSTALL_OPTS_BIOS and GRUB_INSTALL_OPTS_EFI

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 05 Nov 2020 19:54:55 +0100

bootcd (6.3) unstable; urgency=medium

  * always use gawk instead of awk to make testing more reliable

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 04 Nov 2020 19:52:35 +0100

bootcd (6.2) unstable; urgency=medium

  * prepare for debian release
  * cleaned up debian changelog

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 29 Aug 2020 12:16:06 +0200

bootcd (6.2) unstable; urgency=medium

  * bootcd2disk-1.rst: document LUKS_PASSWD
  * bootcd2disk.lib: add function get_LUKS_PASSWD to read LUKS_PASSWD
  * bootcd2disk.lib: run mke2fs with -F (after acknowledged bootcd warning)
  * bootcd2disk.lib: added function retry_rsync
  * bootcd2disk.lib: use --removable if using grub with --target=x86_64-efi

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 17 Aug 2020 18:04:57 +0200

bootcd (6.2~6) UNRELEASED; urgency=medium

  * new meaning of release numbers in bootcd (x=1-9999999 without leading 0)
    x.x~x: Dev: Unreleased Devevloment Version
    x.x:   Release: First released Version
    x.x.x: Fix: Fixed released Version
  * make sure variable LIBRARIES has no spaces and no double slash
  * dependencies to fdutils dropped
  * backup.bootcd2disk.conf.src: added -p to mkdir, needed with --only_sync
  * bootcd, bootcd-usage.lib: better usage error handling
  * better doku in manpages and config-files
  * bootcd2disk.conf-5.rst: added do_last()
  * bootcd2disk-check.lib: do not check is_disk_used with --only_unmount
  * bootcd2disk.lib: fixes in calc_rsync_src()

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 27 Jul 2020 10:16:44 +0200

bootcd (6.2~5) UNRELEASED; urgency=medium

  * bootcdwrite: default APPEND no longer includes "vga=normal nomodeset"
  * bootcdwrite: faster boot with bad floppy device
  * source: src2conf has new version --without
  * bootcd2disk: added EXCLUDE
  * bootcd2disk: deleted TRYFIRST and added ALLOWEDDISKS
  * bootcd2disk: now uses rsync to copy data
  * bootcd2disk: added Option --only_sync
  * bootcd2disk: size of /boot increased from 100 to 200MB

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 21 Jun 2020 09:18:04 +0200

bootcd (6.2~4) UNRELEASED; urgency=medium

  * added bootcd2disk OPTION: ORDER.
  * added md.bootcd2disk.conf.src
  * added luks.bootcd2disk.conf.src
  * added -p|--only_print_options to bootcd2disk
  * allow conf files to influence more program logic
  * conf files allow to define a function to build conf

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 20 Apr 2020 16:50:12 +0200

bootcd (6.2~3) UNRELEASED; urgency=medium

  * example files renamed to <example-name>.<normal-config-name>
  * debug can show used LIBRARIES
  * to test a function while development lib_dev_test() can now be used
  * debug can show used bootcd variables
  * better calculation of existing disks with lsblk
  * started to delete old warnings: auto makes only sence ...
  * better SFDISK# rst description
  * added parameter to function readinfo
  * bootcdmk2diskconf.tst* now checks not only single vars but full config
  * added bootcd2disk.conf.src bootcdwrite.conf.src
  * migrated vars MOUNT and UMOUNT to funcs bootcd_mount() and bootcd_umount()

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 20 Apr 2020 16:49:42 +0200

bootcd (6.2~2) UNRELEASED; urgency=medium

  * improved functions prepare_chroot and unprepare_chroot and
    added function umount_recursive to use mount with option --bind when possible
    and umount also mounted subdirs
  * moved UUID handling from spcialized function set_SWAP_RESUME... to more
    general functions disk2real and disk2realvar
  * fixed and tested included example bootcd2disk.conf.lvm
  * make sure lvcreate will not ask questions
  * added function bootcd_global to be used in custom functions
  * added src2conf to create example conf files
  * added bootcd2disk.conf.lvm.src to create bootcd2disk.conf.lvm
  * better doku to give a custom function as option

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 08 Apr 2020 08:19:23 +0200

bootcd (6.2~1) UNRELEASED; urgency=medium

  * added built txt files to git, to be able to verify changes, if build tools
    or sources change
  * add warning to bootcdconf.lib, that it is created automatically
  * in manpage write DISK# and SFDISK# to represent DISK0 to DISK99 and
    SFDISK0 to SFDISK99
  * allow DISK# and SFDISK# to be defined as commandline option in bootcd2disk
  * fixed Date and Copyright in all files
  * added debug function print_bootcd_vars
  * splitted function warn_2disk in 2 parts
  * changed bootcdrst to split readopts_bootcd, readopts_bootcd,
    readopts_bootcdwrite, readopts_bootcd2disk, readopts_bootcdmk2diskconf
    and readopts_bootcdbackup in 2 parts
  * fixed debian/examples, which listed too many files

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 05 Apr 2020 15:56:09 +0200

bootcd (6.01.03) unstable; urgency=medium

  * fdutils deleted from debian/control

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 17 Aug 2020 07:50:27 +0200

bootcd (6.01.02) unstable; urgency=medium

  * dropped dependencies to fdutils, because it seems not to be needed anymore

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 12 Aug 2020 08:27:49 +0200

bootcd (6.01.01) unstable; urgency=medium

  * Fixed bug "bootcd: Build-Depends on deprecated dh-systemd which is going
    away" reported by Michael Biebl <biebl@debian.org>. closes: 958582

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 24 Apr 2020 08:14:05 +0200

bootcd (6.01) unstable; urgency=medium

  * Fixed bug "bootcd: Missing build dependencies on python3-docutils and
    shellia" reported by Adrian Bunk <bunk@debian.org>. closes: 949759
  * some smaller fixes

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 03 Feb 2020 12:57:13 +0100

bootcd (6.00) unstable; urgency=medium

  * first debian release based on shellia.
  * use tar for bootcdbackup instead of star. Tar now supports --selinux
  * Fixes in FAQ.backup and FAQ.bootcd

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 19 Dec 2019 15:42:50 +0100

bootcd (6.00~06) UNRELEASED; urgency=medium

  * Allow to define functions after_copy(), do_first() and extra_changes() on
    commandline.

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 05 Nov 2019 15:26:52 +0100

bootcd (6.00~05) UNRELEASED; urgency=medium

  * Create man page: bootcd2disk.conf.5, config file: bootcd2disk.conf and
    function defaults_bootcd2disk() from source bootcd2disk.conf-5.rst
  * upgrade copyright from to gpl2 to gpl3

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 29 Aug 2019 11:45:11 +0200

bootcd (6.00~04) UNRELEASED; urgency=medium

  * support xfs
  * bootcdbackup of redhat7, without lvm tested
  * option --yes added. (variable YES obsoletes variable SCRIPT)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 05 Jul 2019 09:38:57 +0200

bootcd (6.00~03) UNRELEASED; urgency=medium

  * use xorriso instead of genisoimage
  * support efiboot

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 26 Jan 2019 16:43:43 +0100

bootcd (6.00~02) UNRELEASED; urgency=medium

  * use variables SCRIPT and ERRLOG only in conf files. In scripts use
    variables ia_use_silent and ia_logfile instead.
  * bootcdflopcp uses actual mountpoint /mnt/bootcd.upper instead of old
    /bootcd.aufs
  * always use genisoimage (mkisofs does not exist anymore)
  * do not support /dev/.udev anymore
  * added functions info, log, warn, err and dbglog based on shellia commands
  * added bootcdwrite option -y to automatically answer yes
  * changed regular expressions to shellia extended regular expressions

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 21 Nov 2018 14:23:12 +0100

bootcd (6.00~01) UNRELEASED; urgency=medium

  * Use shellia instead of internal interactive lib
  * make bootcdwrite interactive and check command execution
  * drop support for /dev/.static/dev
  * delete unneeded trailing blanks in files

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 15 Nov 2018 13:06:27 +0100

bootcd (5.15) unstable; urgency=medium

  * removed elilo from Suggests: list. closes: #930651

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 18 Jun 2019 14:04:25 +0200

bootcd (5.14) unstable; urgency=medium

  * use dpkg-query to access internal dpkg database, closes: #913780

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 15 Nov 2018 11:37:35 +0100

bootcd (5.13) unstable; urgency=medium

  * addeed option -z to bootcd2disk, to force writing zeros to first disk
    sectors

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 14 Jun 2018 12:56:22 +0200

bootcd (5.12) unstable; urgency=medium

  * bootcd now depends on e2fsprogs, closes: #887247

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 15 Jan 2018 11:28:59 +0100

bootcd (5.11) unstable; urgency=medium

  * Wrong dependency (typo: yslinux instead of syslinux fixed)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 12 Oct 2017 09:54:52 +0200

bootcd (5.10) unstable; urgency=medium

  * no obsolete dependency on realpath | coureutils, closes: #877550

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 10 Oct 2017 10:36:17 +0200

bootcd (5.10~02) unstable; urgency=medium

  * Small Fix to ignore some stderr messages of mkswap
  * Small Fix to ignore some stderr message of mount

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 20 Sep 2017 12:33:03 +0200

bootcd (5.09) unstable; urgency=medium

  * added fdisk dependency, closes: #872126

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 15 Aug 2017 08:03:18 +0200

bootcd (5.08) unstable; urgency=medium

  * changed comment (5.06) about udevadm in this changelog to be ignored
    by codesearch[1], closes: #852577
  * small fixes in bootc-utils.lib

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 21 Apr 2017 10:55:27 +0200

bootcd (5.07) unstable; urgency=medium

  * extract some functions to bootcd-utils.lib
  * make lintian happy

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 20 Apr 2017 11:07:52 +0200

bootcd (5.06) unstable; urgency=medium

  * changed udevadm to /bin/udevadm for buster (symlink in jessie and stretch)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 01 Feb 2017 10:55:42 +0100

bootcd (5.05) unstable; urgency=medium

  * respect Kernle Config CONFIG_EXT4_USE_FOR_EXT2=y
  * bootcdoverlayfs: mount in busybox on stretch 2016/05/12 does not have
    option --move anymore, so -o move is used instead
  * bootcdproberoot: does not use unreliable ls command to find devices any more
  * when using mount always give options before dev and mountpoint

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 15 May 2016 15:21:09 +0200

bootcd (5.04) unstable; urgency=medium

  * fixes for stretch
  * using dh-systemd
  * renamed /etc/init.d/bootcdflop to /etc/init.d/bootcd

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 28 Jan 2016 10:13:31 +0100

bootcd (5.03) unstable; urgency=medium

  * changed HP Email Address from @hp.com to @hpe.com

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 08 Jan 2016 13:34:20 +0100

bootcd (5.00) unstable; urgency=low

  * bootcd now uses overlayfs if aufs is not available
  * bootcd and bootcd2disk now run on stretch/sid
  * bootcdflopcp now runs with systemd

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 Aug 2015 17:13:05 +0200

bootcd (4.07) unstable; urgency=low

  * bootcd now depends on realpath | coreutils (>= 8.23-1), closes: #780946
  * Thanks to Kai Harries <kai.harries@gmail.com> for fixing part
    LiveUsbBootStick in FAQ.bootcd, closes: #778597

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 23 Mar 2015 08:22:42 +0100

bootcd (4.06) unstable; urgency=low

  * enlarges filesystem /boot created by bootcd2disk as suggested by Kai Harries
    <kai.harries@gmail.com>, closes: #778288
  * using git instead of svn on alioth
  * update FAQ.bootcd as suggested by Kai Harries
    <kai.harries@gmail.com>, closes: #778593

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 13 Feb 2015 09:48:51 +0100

bootcd (4.06~b) unstable; urgency=low

  * bootcd2disk fix to ignore some more output of umount
  * Thanks to Russell <George.Beebe@t-systems.com> for Error Report

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 15 Dec 2014 13:35:02 +0100

bootcd (4.06~a) unstable; urgency=low

  * bootcd2disk fix to ignore some more output of wget and mount
    Thanks to Russell <George.Beebe@t-systems.com> for Error Report

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 23 Oct 2014 09:01:05 +0200

bootcd (4.05) unstable; urgency=low

  * bootcd now depends on syslinux-common and recommends isolinux
    (it does not depend on isolinux, because it is not available on wheezy
    and before) , closes: #760831
  * now using mkzftree with option -p as suggested
    by Alberto Marmodoro <marmodoro@libero.it>
  * adding /usr/lib/syslinux/modules/bios/ldlinux.c32 to isolinux
    if installed by syslinux-common, closes: #760835

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 09 Sep 2014 09:32:09 +0200

bootcd (4.05~e) unstable; urgency=low

  * multiple mount types did not always work, so continue with
    for-next-loop but add all filesystems listed in 4.05~d

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 01 Sep 2014 15:19:41 +0200

bootcd (4.05~d) unstable; urgency=low

  * Try to mount bootcd with option -t ext2,ext3,ext4,iso9660,ntfs,auto

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 09 Jun 2014 12:11:27 +0200

bootcd (4.05~c) unstable; urgency=low

  * Added NTFS in bootcdproberoot
  * changed /tmp permissions on bootcd
  * recognize option CONFIG_EXT4_USE_FOR_EXT23 in kernel config

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 01 May 2014 17:10:47 +0200

bootcd (4.04) unstable; urgency=low

  * Fixed little typo Bug which was no problem on wheezy before. Closes: #738410

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 10 Feb 2014 18:11:50 +0100

bootcd (4.03) unstable; urgency=low

  * changes for bootcdbackup in file bootcdmk2diskconf.src to read Input
    Partitions (Variable RIPARTITION) not only from /proc/partitions as before
    but also from sfdisk -s output. This was needed for RH 6.4 backup.
  * test data for new feature in bootcdmk2diskconf.tst7

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 27 Jan 2014 13:28:59 +0100

bootcd (4.02) unstable; urgency=low

  * in bootcdbackup: make sure backup data, which is already compressed,
    will not be compressed again by mkzftree

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 02 Dec 2013 11:10:10 +0100

bootcd (4.01) unstable; urgency=low

  * bootcdmk2diskconf now calculates EXT2FS, EXT3FS and EXT4FS automatically
  * bootcd2disk now checks if rereading the partiton table works after
    partitioning and reboots if necessarry.
  * only support iso images with compression enabled, because without
    compression is not used and not tested. So no config variable
    COMPRESSION is needed any more
  * only support for iso images using ISOLINUX. So no config variable
    ISOLINUX and SYSLINUX_SAVE is needed any more.
  * no support for hppa, deleted some remains
  * no support for ia64 any more. it has not been tested for a to long time.
    So no config variable ELILO and ARCH is needed any more.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 28 Aug 2013 09:48:48 +0200

bootcd (4.00) unstable; urgency=low

  * add bootcd2disk config vars EXT3FS and EXT4FS
  * deleted config vars EXT3 and EXT4
  * changed Standards-Verstion from 3.9.1 to 3.9.4
  * Bootcd now uses the aufs, so there is no need for specifying ramdisk sizes
    any more. Closes: #173134 and Closes: #312023
  * There is only one bootcd package which includes everything, no bootcd-i386,
    no bootcd-ia64, no bootcd-backup and no bootcd-mkinitramfs are needed any
    more Closes: #366578 .

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 10 May 2013 09:00:14 +0200

bootcd (3.99pre4.00e) unstable; urgency=low

  * also try grub-install to make grub1 work with bootcd2disk

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 27 Nov 2012 13:09:01 +0100

bootcd (3.99pre4.00d) unstable; urgency=low

  * added BIND variable to bootcd2disk.conf to use "mount --bind" in chroot
  * added Support for ext4 filesystem

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 26 Nov 2012 12:53:56 +0100

bootcd (3.99pre4.00c) unstable; urgency=low

  * chroot now has file /etc/mtab
  * do not install empty dir /usr/sbin
  * use mountpoint /mnt/bootcd.disc for backup and restore disc
    /mnt/bootcd.aufs for aufs and /mnt/bootcd.ro for cd
  * use wheezy for bootcdbackup
  * make bootcdbakupwizard run with only one bootcd*.deb
  * Fixed bootcd2disk grub stage files (bug in 3.28 that has been fixed in 3.29)
    Stage files used to install with bootcd2disk will not be changed in /boot
    after install.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 16 Nov 2012 08:50:11 +0100

bootcd (3.99pre4.00b) unstable; urgency=low

  * Mountpoint for new system changed from /mnt to /mnt/bootcd.mnt

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 06 Nov 2012 14:00:16 +0100

bootcd (3.99pre4.00a) unstable; urgency=low

  * bootcd now uses aufs.
  * Only one bootcd package, to make installation easier
    (no extra packags for bootcd-backup_*_all.deb, bootcd-i386_*_all.deb,
    bootcd-ia64_*_all.deb and bootcd-mkinitramfs_*_all.deb)

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 26 Jul 2012 14:36:16 +0200

bootcd (3.28) unstable; urgency=low

  * Tested bootcd with tmpfs.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 05 Jun 2012 08:15:07 +0200

bootcd (3.27pre28b) unstable; urgency=low

  * Added changes from Andrew Coughlan <countfuzzball@gmail.com> and own
    changes and fixes to support tmpfs.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 14 Feb 2012 08:53:13 +0100

bootcd (3.27pre28a) unstable; urgency=low

  * Using debootstrap_1.0.38 for bootcdbackupwizard

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 05 Dec 2011 09:54:02 +0100

bootcd (3.27) unstable; urgency=low

  * Tested bootcdbackupwizard/bootcd2disk with rh6.1 and wheezy
  * Tested bootcdwrite/bootcd2disk with wheezy

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 14 Nov 2011 09:07:47 +0100

bootcd (3.26pre27b) unstable; urgency=low

  * bootcdbackupwizard can now also backup systems which use grub2.
    (Tested with wheezy, which normally would be backuped with bootcdwrite)
    Because a grub2 installtion from bootcd, only seems to work with chroot,
    chroot has to work. To make chroot work, the bootcd kernel is
    now dynamically chosen by bootcdbackupwizard to have the same
    architecture as used by the backuped system.
  * because star is not available any more in debian, no backup of
    selinux special files will be done by bootcdbackupwizard. To make
    the backuped system work after restore a warning will be given and
    the selinux policy will be set to permissive.
  * try to make sure udev has created devices, after partitioning before
    doing the next step, with udevadm.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 10 Nov 2011 07:54:22 +0100

bootcd (3.26pre27a) unstable; urgency=low

  * bootcdmk2diskconf now supports UUIDs instead of device names in fstab
  * login to a bootcd created by bootcdbackupwizard is possible
    without password as before on console, after automatically creating
    the now necessary entry in passwd
  * the usage of udev is now discovered correctly also for debian/squeeze
    in /etc/init.d/bootcdram, so that devpts is .
  * ssh login geht nicht: mount -t devpts none /dev/pts
  * mkswap has now option -f to prevent a warning with swap on logical volumes
  * bootcdbackupwizard now decides if either grub or grub-legacy will be
    installed based on the system that will be backuped.
  * Have ony one function "prepare_chroot" used by all bootcd scripts
  * tested bootcdbackupwizard with RH6.1
  * better dbg mechanism, can be toggled from interactive mode
  * bootcd2disk now warns and sets SELINUX status to permissive if necessary

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 01 Nov 2011 10:54:07 +0100

bootcd (3.26) unstable; urgency=low

  * changed alioth repository from cvs to svn
  * bootcdwrite now mounts cdimage.iso with option "-o ro" to avoid a warning,
    that cdimage.iso is mounted read only.
  * I could not reproduce the "image kernel panics" bug. But with adding
    "-o ro" to the mount command in bootcdproberoot, the fix proposed by
    Igor Chubin <igor@chub.in> has been applied. Closes: #382293
  * automatically add a 2 MB post-MBR gap for grub-2 if SFDISK0=auto is
    configured
  * support /run and do not copy /run/* on bootcd
  * verified that /dev/.udev code in bootcd does not harm on systems
    with /run. The code listed in the bugreport only makes sure that bootcd
    does not copy /dev/.udev if it exists. Closes: #644309
  * changed Standards-Verstion from to 3.9.1
  * deleted dependency "bootcd-i386:Depends bootcd" and
    "bootcd-ia64:Depends bootcd". Closes: #622690
  * tested bootcdwrite and bootcd2disk with actual version of wheezy and
    squeeze. The bug "Error on /dev/loop/0 under amd64" reported by
    Alexander Sieck <alexander.sieck@web.de> and the bug
    "Kernel panic at boot /sbin/init" reported by
    el jefe delito <eljefedelito@gmail.com> could not be reproduced with
    version 3.26. Closes: #362231 and Closes: #539213

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 05 Oct 2011 11:26:39 +0200

bootcd (3.25) unstable; urgency=low

  * fixed Bug in bootcdmk2diskconf which did create wrong bootcd2disk.conf
    if a VG consisted of more than one PV
  * fixed bashism in bootcd2disk
  * deleted hppa support

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 16 Mar 2011 14:34:33 +0100

bootcd (3.24) unstable; urgency=low

  * bootcd-i386 now recommends bootcd-mkinitramfs, because it almost always
    needed
  * Added Configuration for LXDE, which depends on writing to ~/.cache
    since Debian Squeeze, in bootcdwrite.conf as suggested by
    Kushal Koolwal <kushalkoolwal@gmail.com>. Closes: #615903
  * changed "function extra_changes()" to "extra_changes()" in comments of
    bootcdwrite.conf because of bashism
  * Make sure we do not copy /dev/.udev/

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 01 Mar 2011 08:11:33 +0100

bootcd (3.23pre24b) unstable; urgency=low

  * Fixed bootcdbackup.lib to use the newer cpio format 'crc'. This fixes
    cpio errors reported by "Thomas Benter" <thomas.benter@hp.com>

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 01 Feb 2011 16:07:01 +0100

bootcd (3.23pre24a) unstable; urgency=low

  * Fixed bootcdmk2diskconf bug, where variable GRUB2 was unset. Reported
    by "Thomas Benter" <thomas.benter@hp.com>
  * Fixed bootcdmk2diskconf bug, where variables in comments of
    template bootcd2disk.conf have accidently been evaluated. Reported
    by "Thomas Benter" <thomas.benter@hp.com>

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 01 Feb 2011 08:56:37 +0100

bootcd (3.23) unstable; urgency=low

  * Fixed bug, in bootcdwrite where genisoimage did not use option
    -graft-points, (although it should use it with versions of
    mkisofs>=1.13) because the version of genisoimage was not correct
    calculated by bootcdwrite. This results in the exact same bug
    "bootcd fails because of deleted path" as reported by
    "Hans-J. Ullrich" <hans.ullrich@loop.de>. But now we could
    reproduce it. Closes: #562560

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 01 Dec 2010 15:35:28 +0100

bootcd (3.22) unstable; urgency=low

  * Fix a bug with bootcd2disk, found by Kevin Woldt <kevin.woldt@hp.com>
    that prevents copying anything under /mnt to the new installed system.
  * Fix a bug reported by Lucas Nussbaum <lucas@lucas-nussbaum.net> which
    produced an error when purging bootcd-mkinitramfs (after dependencies
    removal). Closes: #604220

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 15 Nov 2010 10:06:10 +0100

bootcd (3.21) unstable; urgency=low

  * As Sherwood Wang <swang.work@gmail.com> found out bootcd did
    not run with newer kernels (2.6.32). To fix this information will
    about block devices will be taken from /sys instead of
    /proc. Closes: #588774

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 15 Jul 2010 08:31:20 +0200

bootcd (3.20) unstable; urgency=low

  * Support Kernels with ramdisk as module (as used in squeeze).
    - S12bootcdram.sh loads ramdisk Module (brd) if it exists
    - S12bootcdram.sh may have to create /dev/ram2 manually
    - bootcd-check.lib now accepts kernels with
      CONFIG_BLK_DEV_RAM=[m|y]
  * Support newer login that does not allow devices outside of /dev
    - bootcdwrite makes sure /etc/securetty has full path when running from
      bootcd
    - bootcd2disk restores original /etc/securetty
  * Bashism
    - do not use bash command declare any more
  * This is the first try to support Grub2.
    Maybe it is more sure to use Grub for now.
  * check that if bootcd-mkinitramfs is installed, it has modified the
    correct initrd. While installing bootcd-mkinitramfs it only
    modifies the actual running initrd, other initrds have to be modified
    manually. The check tells the command to execute.
  * Added sr_mod to the MANUAL_MODULES in bootcdmodprobe. Thanks to
    Kushal Koolwal <kushalkoolwal@hotmail.com> and
    Daniel Wozniak <dan@edgeos.com>. Successfuly tested squeeze kernel
    vmlinuz-2.6.32-3-686. Fixed bugs reported by
    Alessandro Polverini <alex@nibbles.it>. Also Tested bootcd2disk with
    this kernel. Closes: #474148
  * Added startscripts bootcdram and bootcdflop with LSB support instead of
    old S12bootcdram.sh and S13bootcdflop.sh.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 25 May 2010 10:21:07 +0200

bootcd (3.19fix2) unstable; urgency=low

  * Fixed a bug reported by Uwe Noffke <uwe.noffke@hp.com>, that produces an
    endless loop, if interactive questions are answered by piping empty stdin
    to bootcd scripts.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 May 2010 10:33:24 +0200

bootcd (3.19fix1) unstable; urgency=low

  * Changed default for UDEV_FIXNET in bootcd2disk.conf to "yes"
  * Fixed a typo, which caused an error when using option -url with a
    file-url (-url=file:///...) in bootcd2disk
  * Fixed an error in bootcd2disk, where function err from bootcd-run.lib
    was used before bootcd-run.lib was used

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 25 Mar 2010 11:30:11 +0100

bootcd (3.19) unstable; urgency=low

  * Fix: in S12bootcdram.sh only create symlinks if target does not exist
  * Fix: in bootcd2disk in function udev_fixnet return 0 if nothing hast to be
    fixed
  * Fix: bug in bootcdmk2diskconf which did not handle SWAP labels correct
  * Now grub makes sure the correct stage files are installed.
  * Support a lenny chroot to be used by bootcdbackupwizard.
  * Tested bootcdbackupwizard with installations of RHEL4-U4-i386-AS and
    rhel-server-5.4-i386

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 09 Feb 2010 09:29:12 +0100

bootcd (3.18) unstable; urgency=low

  * Added Pre-Depends in bootcd-ia64, to have not the same file in
    both packages while upgrading. Hopefully this closes the bug
    found by Holger Levsen <holger@layer-acht.org>. Closes: #562855
  * Added new GRUB Parameter GRUBDEVICEMAP for more flexibility in
    bootcd2disk.conf.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 14 Jan 2010 17:49:37 +0100

bootcd (3.17) unstable; urgency=low

  * support for md softraid
  * each package now depends on bootcd >= 3.17. bootcd 3.17 does not include
    /usr/share/bootcd/bootcd-ia64.lib as bootcd 3.10+nmu1 did reported by
    Holger Levsen <holger@layer-acht.org>. Closes: #562855
  * Solved bashism by changing == to = in test statements, reported by
    Andre Roth <lynx@netlabs.org>. Closes: #560204

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 18 Jul 2009 18:08:18 +0200

bootcd (3.16) unstable; urgency=low

  * if we get "BLKRRPART: Device or resource busy" even withou using LVM
    we have to destroy needed disks with dd before rebooting.
  * changed Standards-Verstion from 3.8.0 to 3.8.2
  * fixed bashism reported by Raphael Geissert <atomo64@gmail.com>.
    Closes: #530059

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 07 Jul 2009 13:19:26 +0200

bootcd (3.15) unstable; urgency=low

  * Fix return value of udev_fixnet in bootcd2disk.
  * Changed /usr/bin/mkisofs -> genisoimage
  * Output of functions after_copy() and before_copy() defined in
    bootcd2disk.conf are not controlled with run anymore.
  * in bootcd2disk, the dd command now uses conf=notrunc to really wipe out
    the partition table
  * in bootcd2disk, if we get "BLKRRPART: Device or resource busy" the
    user is asked to reboot
  * in bootcd2disk.lib if we can not find a block device we will guess
    its name

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 20 Apr 2009 10:01:40 +0200

bootcd (3.14) unstable; urgency=low

  * Bootcd now also handles /etc/udev/rules.d/70-persistent-net.rules (lenny)
    and /etc/udev/rules.d/z25_persistent-net.rules (etch). This bug has
    been reported by kinneko <kinneko@gmail.com> and
    Hideki Yamane <mailto:henrich@debian.or.jp>

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 01 Apr 2009 12:02:49 +0200

bootcd (3.13) unstable; urgency=low

  * Changes made to bootcd-check.lib (cvs version 1.32) where accidently lost
    in last version. Now they are added again.
  * Added missing depencency to mkisofs as asked for by
    Hideki Yamane <henrich@debian.or.jp> Closes: #520054

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 20 Mar 2009 11:37:32 +0100

bootcd (3.12) unstable; urgency=low

  * bootcd2disk now only uses the command grub directly to install grub
    instead of trying grub-install before. (See more comments in source)
  * Solved bug bootcd: tries to overwrite file oened by bootcd-ia64
    reported by Ralf Treinen <treinen@debian.org>. Closes: #497459
  * Solved bug "FTBFS with dash as /bin/sh" reported by Daniel Schepler
    <schepler@math.berkeley.edu>. Closes: #493453
  * make lintian happy

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 08 Sep 2008 16:06:47 +0200

bootcd (3.11) unstable; urgency=low

  * the bootcd-ia64.lib is now in bootcd-ia64. This bug was reported by
    Jens Kapitza <debian@schwarze-allianz.de> Closes: #489414
  * Added a description "how to create a liveusbstick from a bootcd-iso" from
    Ingo Peter <ingo.peter@sosyco.de> to the FAQ.
  * Added some from NMU deleted "-n options" to "echo" command where needed.
  * bootcddebootstrap now recognizes environment varialbe http_proxy
  * bootcddebootstrap now runs apt with a higher Cache-Limit
  * bootcddebootstrap now has a more intelligent way to check output
    of "apt-get install"
  * added bootcdtest script to make testing of packages before commiting
    easier. This script is only available in the bootcd source package.
    - The test script can only test bootcddebootstrap until now
  * Added "mount --move /dev.ro /dev" to S12bootcdram.sh to correct the
    problem "Unable to connect via ssh" with error "stdin: is not a tty"
    This was only possible with the bugreports and help of
    Alessandro Polverini <alex@nibbles.it> and "Yifang Dai" <yifangd0@gmail.com>.
    Closes: #464728
  * Added patch for "MKISODEVFS variable has wrong assignment" from
    Jens Kapitza <developer@schwarze-allianz.de>. Closes: #484705
  * Resolved bashism reported by Raphael Geissert <atomo64@gmail.com>
    (sourced script with arguments) in bootce2disk. Closes: #489545
  * Resolved bashism reported by Raphael Geissert <atomo64@gmail.com>
    (let ...). Closes: #489548

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 26 Jul 2008 11:44:58 +0200

bootcd (3.10+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch by Leonardo Rodrigues de Mello to make package work with
    sh=dash. (Closes: #464497)
    All remaining bashisms are also understood by dash.
  * Fixed lintian errors:
    - Bumped Standards-Version to 3.8.0.
    - Depend on genisoimage instead of mkisofs.
    - Recommends wodim instead of cdrecord.
    - Only build depend on debhelper once.
    - Do not ignore errors in clean target.
    - Added debhelper token to postinst and postrm.
    - Minor typo in description.

 -- Michael Meskes <meskes@debian.org>  Sat, 21 Jun 2008 19:39:52 +0200

bootcd (3.10) unstable; urgency=low

  * Added link to /usr/share/common-licenses/GPL-2

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 18 Jan 2008 10:36:24 +0100

bootcd (3.09) unstable; urgency=low

  * bootcd-backup is now an extra package. The bootcdbackupwizard
    has been improved by Carsten Dinkelmann <din@foobar-cpa.de> and
    Bernd Schumacher <bernd.schumacher@hp.com>.
  * Fixed Bug "bootcd FTBFS with sh as interpreter" reported by
    Nicolas Valcarcel <nvalcarcel@gmail.com>. Closes: #453263
  * Supporting backup and restore of selinux files.
  * bootcd-mkinitramfs uses a one-line description, as requested
    by David Liontooth <liontooth@cogweb.net>. Closes: #402632
  * Corrected typo in bootcdwrite, evaluates append="$KLABEL" instead of
    append="$APPEND", reported by Ludi de Souza <lnds@hotmail.com>.
    Closes: #457818

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 19 Nov 2007 14:31:14 +0100

bootcd (3.08) unstable; urgency=low

  * Support for more than one kernel.
    It is now possible to define multiple KERNELS in bootcdwrite.conf.
    (Implemented by Carsten Dinkelmann <din@foobar-cpa.de> )
  * Bootcd defaults are optimized to fit most users needs.
    UDEV_FIXNET is now enabled by default and we use DVD for
    size checking instead of CD by default.
  * Better manpages.
    The manpage for bootcdwrite.conf has been updated.
  * New wizard to create backups of non-debian distributions.
    Bootcdbackupwizard is added do create online backups easy.
    First version of bootcddebootstrap to help create a bootcd on NonDeian
    has been built by Carsten Dinkelmann <din@foobar-cpa.de>
  * Bootcd is more stable
    Using find/cpio is now more often used with secure option
    -print0/-null.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 13 Sep 2007 20:27:27 +0200

bootcd (3.07) unstable; urgency=low

  * remove command "function" from all scripts to be dash compatible
    reported by Dan Bernardic <dan.bernardic@gmail.com> seen in ubuntu
  * print warning, if bootcd-mkinitramfs is not installed
  * added command bootcdbackup
  * Resolved bug "depends on non-essential package initramfs-tools in
    postrm". Closes: #416731
  * solved bug, that /var was not writable when using udev

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 21 May 2007 11:45:37 +0200

bootcd (3.06) unstable; urgency=low

  * small bug fixes (RESTORECMD="" in bootcd2disk.lib, FAQ,
    lvdisplay --units -M -> -m)
  * Rechecked spelling errors. Closes: #419784
  * Rechecked spelling errors. Closes: #419785
  * Rechecked spelling errors. Closes: #419786

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 10 May 2007 17:26:23 +0200


bootcd (3.05) unstable; urgency=low

  * New command bootcdmk2diskconf to automatically build bootcd2disk.conf
    for backup purposes. This is experimental for now.
  * New section in FAQ to describe how to use bootcdmk2diskconf:
    "Q: Can I use bootcd to backup and restore redhat or suse"
  * Support for new config option RESTORECMD in bootcd2disk.conf
  * New commandline options -onlymount -onlyunmount in bootcd2disk

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 10 May 2007 09:57:41 +0200

bootcd (3.04) unstable; urgency=low

  * New version 3.04
  * if grub-install does not work in bootcd2disk grub will be used as before

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 27 Apr 2007 10:56:49 +0200

bootcd (3.03) unstable; urgency=low

  * boocd2disk now uses grub-install instead of using grub directly.
  * added examle to use bootcd for redhat backup

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 24 Apr 2007 14:24:48 +0200

bootcd (3.02) unstable; urgency=low

  * drop mkisofs warning
  * Check if initramfs-tools is installed, before using it in postrm
    of bootcd-mkinitramfs. Closes: #416731
  * Now multiple disks are supported in bootcd2disk. This affects mainly
    the lvm stuff.
  * Faster installing is possible with bootcd2disk option -url
  * Much better manpages by Carsten Dinkelmann <din@foobar-cpa.de>
  * UDEV_FIXNET option added to bootcdwrite.conf to fix Problem
    with unused eth0 cards. Added by Carsten Dinkelmann <din@foobar-cpa.de>

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed,  7 Mar 2007 14:01:53 +0100

bootcd (3.01) unstable; urgency=low

  * Clarified copyright message as suggested by Francesco Poli
    [frx@firenze.linux.it]. Closes: #411193
  * Fixed bug Bootcdinitramfshook does not copy modules reported
    by jon@mail2.sd-6.org. Closes: #407990

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 19 Feb 2007 09:06:46 +0100

bootcd (3.00) unstable; urgency=low

  * Deleted Package bootcd-mkinitrd. Closes: #401668
  * First Support to Create LVM System from bootcd with bootcd2disk.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  8 Dec 2006 12:09:19 +0100

bootcd (2.57) unstable; urgency=low

  * Added patch from Volker Wysk <post@volker-wysk.de> to fix xargs
    unmatched single quote. Closes: #399593

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  1 Dec 2006 09:30:51 +0100

bootcd (2.56) unstable; urgency=low

  * Make the use of bootcdmodprobe in mkinitramfs-tools optional.
    Use initrd modificaions only when bootding from cd, to not
    break normal booting.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 27 Nov 2006 09:39:31 +0100

bootcd (2.55) unstable; urgency=low

  * added bootcd-mkinitramfs
  * Fixed Rock Ridge filename collision problem reported by Gabor Burjan
    <buga@buvoshetes.hu>, with patch provided by Gabor Burjan. Closes: #370356
  * Added required empty target binary-arch to rules file. Closes: #395581
  * bootcd-mkinitramfs now uses the init script from initramfs-tools. This
    should solve the problem reported by Jose Parrella
    <joseparrella@cantv.net>. Closes: #382293
  * Called bootcdwrite on a system with symlink /bin/sh -> dash.  Most
    problems stated in bugreport were no bashism. Closes: #396544

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 21 Nov 2006 14:20:19 +0100

bootcd (2.53) unstable; urgency=low

  * Fixed typo "automaticly". Closes: #311454
  * Fixed more typos. Closes: #357441
  * Added Path to usbcore.ko to bootcdmkinitrd to fix bug reported by
    M.Blumentritt@tu-braunschweig.de. Closes #351887
  * Added minimal support for compressed cpio initrd as requested by
    Alessandro Polverini <alex@nibbles.it>. But the user has to make
    sure, that the initrd has all neccessary modules and tries to boot from
    cd. There is no bootcd_mkinitrd package for yaird. Closes #361970

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 12 Apr 2006 22:07:58 +0200

bootcd (2.52) unstable; urgency=low

  * Added fixes from Uwe Maier [umaier@gmx.de] to boot from kernels >2.6.8.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 23 Feb 2006 20:25:42 +0100

bootcd (2.51) unstable; urgency=low

  * small bugfixes (for bootcd2disk and bootcdflopcp)

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 24 Dec 2005 13:27:54 +0100

bootcd (2.50) unstable; urgency=low

  * grub support added, as requested by
    Todd Charron <tcharron@badkarma.mine.nu>. Closes: #333821
  * corrected some typos reported by A Costa <agcosta@gis.net>. Closes: #331048

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 10 Oct 2005 17:20:03 +0200

bootcd (2.49) unstable; urgency=low
  * It is now possible to change files on the cd before creating the ISO.
    Closes: #272278
  * Fixed a bug with the NOT_TO_DISK/NOT_TO_RAM feature.
    Now the full path of files/dirs excluded by bootcd will be checked.
  * Waiting for usb is now done in bootcdproberoot. If the bootdevice is
    found waiting will be stopped, but if necessary waiting will be
    longer as before.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  5 Aug 2005 14:32:35 +0200

bootcd (2.48) unstable; urgency=low
  * Better handling of bootcd2disk.conf/EXT3=auto option. If running
    with INITRD, it is ok if CONFIG_EXT3_FS is defined as "m" or "y" to
    set EXT3 to yes.
  * Changed bootcdmkinitrd to be able to handle also kernel 2.6 modules which
    are named *.ko instead of *.o.
  * Both of the bugs described above can lead to the type of bug reported
    by: Rob Ristroph <rgr@sdf.lonestar.org> and Marc Brandes
    <M.Brandes@tu-braunschweig.de> "cd cannot boot -- /sbin/init cannot
    open dev/console". I think now it is solved. Please test it and
    file a new bug, if you can reproduce the problem again. Closes: #301598
  * Fixed bug reported by Wolfgang Schnitker <wolfgang.schnitker@gmx.de>:
    "mkinitrd looks for /bin/discover instead of /usr/bin/discover".
    bootcdmkinitrd now searches for discover in /sbin, /bin, and /usr/bin.
    Because entries done by bootcdmkinitrd in /etc/mkinitrd have not been
    marked before, it might be neccessary this time to delete the wrong entry
    by hand in /etc/mkinitrd/exe. Closes: #287189
  * Fixed bug reported by Kurt Roeckx <kurt@roeckx.be> regarding "FTBFS on
    !i386" with the "partial fix on #278151" by
    Sven Mueller <debian@incase.de>. Closes: #292407
  * installed bootcdtest.sh in /usr/share/bootcd. This script may help to
    reproduce problems in the future

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 21 Apr 2005 21:54:01 +0200

bootcd (2.47) unstable; urgency=low
  * Carsten Dinkelmann <Carsten.Dinkelmann@foobar-cpa.de> added automatic
    detection of CD Boot device and many other fixes. See ChangeLog
  * the stuff about cd-burning is now ripped out as suggeste in #286359.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  4 Feb 2005 19:42:51 +0100

bootcd (2.46) unstable; urgency=low

  * Changed handling of NOTCOMPRESSED. Now You have to define the Path
    as it is on the CD, (without $SRCDISK and with /var.ro instead of /var)
  * fixed bug in MKISOFS_OPTS. Now added options will be added
    before "arguments without options"
  * fixed improper copyright file reported by Justin Pryzby
    <justinpryzby@users.sourceforge.net>. Closes: #290076
  * fixed bug: "bootcd-386 is uninstallable on powerpc" reported by
    Graham Wilson <graham@mknod.org>. Closes: #278151
  * fixed bug: "MKISOFS_CHNG doesn't work" with the help of the patch
    from Alexey Naidyonov <growler@tula.net>. Closes: #290321
  * fixed bug: "SRCDISK should not default to non-existant nfs-mount;
    ISO_ONLY should default to "yes"" reportet by <nospam_40811@alltel.net>
    I think I will rip out the stuff about cd-burning altogether, as
    suggested in one of the next releases, because this makes really
    sence. Closes: #286359
  * I added an entry to the FAQ describing a workaround for a very old
    bug reported by David Schmitt <david@schmitt.edv-bus.at> that I could
    not reproduce. The workaround was also reported by David. Closes: #244307
  * Added function get_border_links to solve problems with relative
    symlinks reported by Ioannis Ioannou <roryt@roryt.gr>. Closes: #286677

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sun, 23 Jan 2005 00:09:31 +0100

bootcd (2.45) unstable; urgency=low

  * applied patch from Mark Clarkson <markjclarkson@btinternet.com>
    to fix the bug reported by Philipp Matthias Hahn <pmhahn@debian.org>
    which breaks boot with DEVFS=yes because /dev is missing on the boot
    image. Closes: #282889
  * added new config option NOTCOMPRESSED

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  3 Dec 2004 16:49:45 +0100

bootcd (2.44) unstable; urgency=low

  * Added new package bootcd-i386, for i386-specific dependencies
    and functions. This bug was reported by
    Adrian Bunk <bunk@fs.tum.de>. Closes: #273356
  * Do not copy /sys anymore. This bug was reported by
    Alessandro Polverini <alex@nibbles.it> . Closes: #272275
  * Corrected spelling errors reported by Alessandro Polverini
    <alex@nibbles.it>. Closes: #272273
  * Fixed small bug, which could be seen, when calling bootcdmkinitrd
    without option. Closes: #268313
  * Applied patch from Ross Patterson <rossp@ppc.ucsc.edu> to add
    customizeable syslinux.cfg and isolinux.cfg files. Closes: #275367

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sun,  3 Oct 2004 16:50:11 +0200

bootcd (2.43) unstable; urgency=low

  * Do not allow to define /mnt in NOT_TO_CD, because bootcd2disk
    tries to mount the destination disk to /mnt and would
    fail. This bug was reported by
    Simon Walter <simon.walter@hp-factory.de>. Closes: #263304
  * Better autodetection for disks in bootcd2disk
  * New Variable TRYFIRST to decide which disks to try first in
    autodetection.
  * Let people add and delete options given to mkisofs by
    bootcdwrite. This bug was reported by
    Simon Walter <simon.walter@hp-factory.de> including the exact
    options he needed for mkisofs. Closes: #265357

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 14 Aug 2004 11:33:06 +0200

bootcd (2.41) unstable; urgency=low

  * Added Patch from Mark Clarkson <markjclarkson@hotmail.com> to solve
    the ERROR "mount: mount point /dev is a symbolic link to nowhere" when
    using bootcdwrite with option DEVFS=yes
  * Changed dependencies for package bootcd-mkinitrd as recommended by Cristian
    Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>. Closes: #251855

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 27 May 2004 19:41:06 +0200

bootcd (2.40) unstable; urgency=low

  * Carsten Dinkelmann  <din@foobar-cpa.de> added wildcard DISK to
    bootcd2disk(.conf) to parametrize partitions
  * Carsten Dinkelmann  <din@foobar-cpa.de> added function after_copy to
    support some action like remounting after the copying
  * Added -s Option.
  * Now only ssh Versions which support Option -t are supported by
    bootcd. Closes: #240655
  * Changed bootcdmkinitrd to use old renamed package "discover1" (v1) and
    new package "discover" (v2). Closes: #249437
  * bootcdmkinitrd now supports lilo and grub.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 May 2004 09:21:44 +0200

bootcd (2.39) unstable; urgency=low

  * Commented out debug code. Closes: #239081

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 22 Mar 2004 09:02:17 +0100

bootcd (2.38) unstable; urgency=low

  * Added -w option for lilo to get less warnings
  * Added -P option to df to be more portable. This prevents
    wraps in long df output. Closes: #233617
  * Because sfdisk is not always able to automatically detect
    a disk usable for bootcd2disk, own tests are added
  * Use an easier method instead of "type" to check if mkzftree
    is installed. Closes: #233616

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 12 Mar 2004 09:51:02 +0100

bootcd (2.37) unstable; urgency=low

  * Fixed uninstallable conflict of bootcd-mkinitrd. Closes: #232398

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 12 Feb 2004 15:46:45 +0100

bootcd (2.36) unstable; urgency=low

  * Upgraded to Debian Standards-Version: 3.6.0
  * Fixed duplicate entry in bootcd.conffile. Closes: #220326
  * bootcd now does no longer require to find locatedb. Closes: #219060
  * fixed bootcd2disk to better detect a DISK automatically

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 Nov 2003 10:10:05 +0100

bootcd (2.35) unstable; urgency=low

  * This release was made on alioth.debian.org by Thomas Kennwallner and
    Bernd Schumacher.
  * Announced bootcd mailing list bootcd-user@lists.alioth.debian.org in FAQ.
  * Fixed bootcdmkinitrd. Include cdrom.o in initrd (closes alioth #300087).
  * All other changes done on alioth.debian.org can be looked up in ChangeLog.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 26 Aug 2003 22:53:51 +0200

bootcd (2.34) unstable; urgency=low

  * added bootcdwrite support for ia64
  * added bootcd2disk support for ia64
  * added logging of modified, checked CONFVARS in ERRLOG
  * moved hppa functions from bootcdwrite to bootcd-hppa.lib
  * changed function err to be able to run, if variable ERRLOG is undefined
  * added support for VFAT Filesystem to bootcd2disk and bootcd2disk.conf
  * added support for /etc/elilo.conf to bootcd2disk and bootcd2disk.conf
  * changed function chnglist to handle double //. This patches a bug
    that prevented to define DISABLE_CRON with more than one starting / which
    is the case if SRCDISK=/ and DISABLE_CRON="$SRCDISK/<file>".
  * added option -d to bootcdwrite, which lets developers of bootcd use
    local .lib files if they are present. This function will not be shown
    in the usage message.
  * changed bootcd order of calling check_functions and displaying
    warning messages.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 11 Aug 2003 11:27:27 +0200

bootcd (2.33) unstable; urgency=low

  * Added patch from Thomas Krennwallner <djmaecki@ull.at>
    to disable /etc/cron.daily/{find,standard,security} while running
    from read-only bootcd, see DISABLE_CRON in bootcdwrite.conf
  * Added patches from Thomas Krennwallner <djmaecki@ull.at>
    to add a hint in the FAQ
    to enable wtmp record keeping while running from bootcd
    to disable checking the cdrom root device, even when using TO_FSTAB and
    to copy all symlinks to /var.
  * Fixed a problem found by Yildiz Murat <murat.yildiz@atosorigin.com>
    regaring an unset variable in bootcd2disk.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 23 Jul 2003 11:13:08 +0200

bootcd (2.32) unstable; urgency=low

  * POSIX compliant: bootcdwrite, bootcd2disk, bootcd-check.lib,
    bootcdflopcp and S12bootcdram.sh have been changed to be able to
    run them not only with bash, but also with dash. Closes: #176815
    The following changes have been made:
    1) set -u; for i in $*; do ... ->
       set -u; if [ $# -gt 0 ]; then for i in $*; do ... fi
    2) trap ... EXIT SIGINT ->
       trap ... 0 2
    3) if [ "..." == "..." ]; then ->
       if [ "..." = "..." ]; then
    4) let/expr changes, for example:
       let SWAPS=2*$MEMS/1024 ->
       SWAPS=$(expr 2 \* $MEMS / 1024)
  * bootcd no longer depends on cdrecord instead, if ISO_ONLY=no it will
    be checked if cdrecord is installed. Closes: #198480
  * bootcd2disk deletes symlink from /etc/mtab to /proc/mounts. Closes: #199841
  * Resolved syntax error in syslinux.cfg.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu,  3 Jul 2003 19:38:28 +0200

bootcd (2.31) unstable; urgency=low

  * Resolved bug: Bad path in /usr/share/bootcd/bootcd-check.lib.
    Closes: #195522
  * Resolved bug: patch to get rid of "cpio: truncated inode number" messages
    Closes: #194007

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon,  2 Jun 2003 10:53:50 +0200

bootcd (2.30) unstable; urgency=low

  * Resolved bug "compressed images fail to boot, files in wrong directory",
    as described by Ludi de Souza <lnds@hotmail.com>. Closes: #190693
  * Resolved bug "cannot boot images created using ISOLINUX 2.00, .img
    extenstion" as also excellent described by Ludi de Souza. Closes: #190694
    Now isolinux/vmlinuz.img is renamed to isolinux/vmlinuz and
    isolinux/initrd.img is renamed to isolinux/initrd.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 26 Apr 2003 20:03:33 +0200

bootcd (2.29) unstable; urgency=low

  * CD will be ejected after burning.
  * do not title unknown output of programs as ERROR any more, but just as
    OUTPUT.
  * bootcdmkinitrd now uses discover (with a modified script from
    michael.schreiter@hp.com).
  * because of dependencies bootcdmkinitrd was splitted in an extra package.
  * using /usr/share/bootcd instead of /usr/lib/bootcd. Closes: #183823

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 10 Feb 2003 08:51:09 +0100

bootcd (2.28) unstable; urgency=low

  * Added support for ZISOFS
  * Added support for EXT3 in bootcd2disk
  * New Q/A in FAQ: How can I copy bootcd to disk for higher performance and
    mount the disk read-only for security reasons?
  * New Q/A in FAQ: Why can't I define a different ramdisk_size for each of
    the two ramdisk filesystems that are created by bootcd?
  * New Q/A in FAQ: How can I use compression to get more data on one CD?
  * extracted S12bootcdram.sh from bootcdwrite for easier maintenance
  * Each created bootcd now has some information about itself in
    /etc/bootcd/thisbootcd.conf. This can be used by bootcd2disk.
  * Added new option in bootcdwrite.conf: BLANKING=auto. This means bootcdwrite
    will always try to blank the CD, but ignore errors. Closes: #173132

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 30 Dec 2002 13:38:45 +0100

bootcd (2.24) unstable; urgency=low

  * better description for bootcd-hppa. Closes: #168195
  * depends on dvdplusrw | dvd+rw-tools. Closes: #168410
  * bootcd warns if file-rc is installed on the system which should be
    copied to CD. Closes: #168514

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 11 Nov 2002 09:37:55 +0100

bootcd (2.23) unstable; urgency=low

  * bootcd2disk can now automatically install on partitions named
    <disk>p<number> like /dev/ida/c0d0p1 or /dev/cciss/c0d0p1
  * bootcd depends on dosfstools. Closes: #164157
  * dvdplus support
  * bootcd is separated in bootcd, bootcd-hppa and bootcd-dvdplus for
    better dependency checking

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 23 Oct 2002 11:29:51 +0200

bootcd (2.21) unstable; urgency=low

  * Added Warning to run lilo after bootcdmkinitrd.
  * Added TO_FSTAB patch from Thomas Krennwallner <krennwallner@aon.at> to
    mount additional Filesystems when booting from bootcd. Closes: #162169

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sun,  6 Oct 2002 09:52:20 +0200

bootcd (2.20) unstable; urgency=low

  * many small bug fixes
  * better calculation of number of inodes for ramdisk
  * separated manpages
  * supporting devfs Closes: #113727
  * supporting debian standard kernels with initrd
  * try to automatically close bug fixed in 2.11 already Closes: #151075
  * added option -c to bootcdwrite and bootcd2disk

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu,  4 Jul 2002 14:28:17 +0200

bootcd (2.11) unstable; urgency=low

  * added HPPA support
  * new function create_host_keys. Closes #151075
  * added SYSLINUX_SAVE option to use or not use -s with syslinux

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Wed, 26 Jun 2002 17:22:04 +0200

bootcd (2.10) unstable; urgency=low

  * Use at least 8192 inodes per ramdisk
  * and use cpio with -m option to stop bootcd complaining about "newer files".
    (Hints from Thomas Bayen <tbayen@bayen.de>)
  * Added new questions/answers to the FAQ.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Tue, 18 Jun 2002 18:44:11 +0200

bootcd (2.09) unstable; urgency=low

  * Corrected: Spelling error in description. Closes: #124465
  * Applied patch from R. Alex Owen <rao3@leicester.ac.uk> to
    create image instead of writing to CD immediatly. Closes: #138296

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Tue, 23 Apr 2002 14:58:39 +0200

bootcd (2.08) unstable; urgency=low

  * Corrected: Created CD contains predefined bootcd2disk.conf again

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu, 25 Oct 2001 13:10:43 +0200

bootcd (2.07) unstable; urgency=low

  * NOT_TO_RAM now works with FASTBOOT. Closes: #113690
  * /proc will not be searched anymore.
  * better calculation of needed space.
  * more and smaller functions in source for easier maintenance.
  * added TODO in bootcdmanpage for wishlist item: devfs.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri,  5 Oct 2001 07:32:54 +0200

bootcd (2.06) unstable; urgency=low

  * compressed images of the ramdisk are used to shorten boot time (as
    suggested by Francois Gelis <gelis@bnl.gov>)
  * bootcd2disk uses lilo delay 20 instead of 0 by default

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Sun,  3 Jun 2001 10:46:33 +0200

bootcd (2.05) unstable; urgency=low

  * Added "Build-Depends: debmake"
  * Architecture changed from any to all. Closes: #84465

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 23 Feb 2001 10:27:00 +0100

bootcd (2.04) unstable; urgency=low

  * FAQ will be installed in /usr/share/doc/bootcd
  * Each PC installed with bootcd2disk gets a nunique ssh_host_key,
    if defined in bootcd2disk.conf

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Sun, 28 Jan 2001 17:21:10 +0100

bootcd (2.03) unstable; urgency=low

  * closes: #80548.
  * Added kernel checks
  * Checking of variables works since version 2.01.
  * apt-get clean will only be done if CLEAN_VAR=yes.
  * User will be asked before calling "apt-get clean".
  * stdout of ssh-keygen will be ignored
  * I try to answer "What has to be compiled in the kernel"
    in the FAQ.
  * Solved Bug in NOT_TO_RAM Feature and better Documentation.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Wed,  3 Jan 2001 14:18:07 +0100

bootcd (2.02) unstable; urgency=low

  * Minor Changes: Comments, Manpage, Checks

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu, 28 Dec 2000 13:36:40 +0100

bootcd (2.01) unstable; urgency=low

  * bootcd2disk can now automatically find a harddisk, make partitions on it,
    copy cd to it and make it bootable
  * Solved Bug: Variables in conffiles can now have spaces
  * Version Number has no Debian Revision any more, because bootcd is
    a debian only package
  * Package is now build using cvs-buildpackage

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 22 Dec 2000 10:39:17 +0100

bootcd (1-6) unstable; urgency=low

  * bootcdwrite: added -t msdos when mounting cdboot.img because
    autodetection failed sometimes
  * deleted unneeded dependency to package makepatch
  * bootcdwrite: added option only_floppy
  * bootcdwrite: calling syslinux when creating floppy to get better
    boot performance
  * listing the possibility of installing new systems with
    bootcd2disk in description
  * since mkisofs 1.13 we have to use the option -graft-points. Closes: #74608

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Sun, 15 Oct 2000 18:47:23 +0200

bootcd (1-5) unstable; urgency=low

  * now bootcdflopcp recognizes empty files too.
  * extended description now really extended. closes: #67840.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 28 Jul 2000 13:34:35 +0200

bootcd (1-4) unstable; urgency=low

  * bootcdflopcp has been changed. There will be no only diffs between ram
    and cd on floppy anymore, but whole files. This is necessary to be able
    to use newer bootcd versions, with old floppy configurations where patch
    or applypatch would not work.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 28 Jul 2000 13:34:28 +0200

bootcd (1-3) unstable; urgency=low

  * If booting from CD-drive does not work, booting from floppy is
    possible.
  * Checking for a lot of possible problems is now done before
    starting to burn the cd.
  * Smaller Bugfixes.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 12 May 2000 13:57:17 +0200

bootcd (1-2) unstable; urgency=low

  * bootcd has survived first tests

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu,  4 May 2000 18:15:43 +0200

bootcd (1-1) unstable; urgency=low

  * Initial release.
  *
  *

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Tue, 11 Apr 2000 11:53:10 +0200

Local variables:
mode: debian-changelog
End:
